org.apache.sysds.runtime.instructions.fed

## Class ParameterizedBuiltinFEDInstruction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.Instruction
  - - org.apache.sysds.runtime.instructions.fed.FEDInstruction
    - - org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction
      - - org.apache.sysds.runtime.instructions.fed.ParameterizedBuiltinFEDInstruction

- All Implemented Interfaces:
    LineageTraceable

      public class ParameterizedBuiltinFEDInstruction
      extends ComputationFEDInstruction

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ParameterizedBuiltinFEDInstruction.DecodeMatrix`

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.fed.FEDInstruction

      `FEDInstruction.FEDType`

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

      `Instruction.IType`

  - ### Field Summary

    - ### Fields inherited from class org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction

      `input1, input2, input3, output`

    - ### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

      `DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LinkedHashMap<String,String>` | `constructParameterMap(String[] params)`
    `String` | `getParam(String key)`
    `HashMap<String,String>` | `getParameterMap()`
    `CacheableData<?>` | `getTarget(ExecutionContext ec)`
    `static ParameterizedBuiltinFEDInstruction` | `parseInstruction(String str)`
    `void` | `processInstruction(ExecutionContext ec)` This method should be used to execute the instruction.

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction

      `getLineageItem, getOutputVariableName`

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.fed.FEDInstruction

      `getFEDInstructionType, getTID, getType, preprocessInstruction, setTID`

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

      `getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getGraphString, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, getPrivacyConstraint, postprocessInstruction, printMe, requiresLabelUpdate, setInstID, setLocation, setLocation, setLocation, setLocation, setPrivacyConstraint, setPrivacyConstraint, toString, updateInstructionThreadID`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.sysds.runtime.lineage.LineageTraceable

      `getLineageItems, hasSingleLineage`

- - ### Method Detail

    - #### getParameterMap

          public HashMap<String,String> getParameterMap()

    - #### getParam

          public String getParam(String key)

    - #### constructParameterMap

          public static LinkedHashMap<String,String> constructParameterMap(String[] params)

    - #### parseInstruction

          public static ParameterizedBuiltinFEDInstruction parseInstruction(String str)

    - #### processInstruction

          public void processInstruction(ExecutionContext ec)

      Description copied from class: `Instruction`
      This method should be used to execute the instruction.
      Specified by:
        `processInstruction` in class `Instruction`
      Parameters:
        `ec` - execution context

    - #### getTarget

          public CacheableData<?> getTarget(ExecutionContext ec)

Copyright © 2020 The Apache Software Foundation. All rights reserved.